# Uses of Class
jcifs.smb.ACE

Packages that use ACE
Package
Description
jcifs.smb

## Uses of ACE in jcifs.smb

Methods in jcifs.smb that return ACE
Modifier and Type
Method
Description
`ACE[]`
SmbFile.`getSecurity()`
Return an array of Access Control Entry (ACE) objects representing the security descriptor associated with this file or directory.
`ACE[]`
SmbFile.`getSecurity(boolean resolveSids)`
Return an array of Access Control Entry (ACE) objects representing the security descriptor associated with this file or directory.
`ACE[]`
SmbFile.`getShareSecurity(boolean resolveSids)`
Return an array of Access Control Entry (ACE) objects representing the share permissions on the share exporting this file or directory.